﻿@using Microsoft.AspNetCore.Identity
@inject SignInManager<IdentityUser> signInManager

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Bloggie.Web</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/Bloggie.Web.styles.css" asp-append-version="true" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.5/font/bootstrap-icons.css">

    <link href='https://cdn.jsdelivr.net/npm/froala-editor@latest/css/froala_editor.pkgd.min.css' rel='stylesheet' type='text/css' />

    <script type='text/javascript' src='https://cdn.jsdelivr.net/npm/froala-editor@latest/js/froala_editor.pkgd.min.js'></script>
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-dark bg-dark border-bottom box-shadow ">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Bloggie.Web</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex justify-content-between">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-light" asp-area="" asp-controller="Home" asp-action="Index">Home</a>
                        </li>

                        @if (signInManager.IsSignedIn(User) && User.IsInRole("Admin"))
                        {
                            <li class="nav-item dropdown">
                                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                                    Admin
                                </a>
                                <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                    <li>
                                        <a class="dropdown-item"
                                           asp-area=""
                                           asp-controller="AdminTags"
                                           asp-action="Add">Add Tag</a>
                                    </li>

                                    <li>
                                        <a class="dropdown-item"
                                           asp-area=""
                                           asp-controller="AdminTags"
                                           asp-action="List">Show All Tag</a>
                                    </li>

                                    <li>
                                        <a class="dropdown-item"
                                           asp-area=""
                                           asp-controller="AdminBlogPosts"
                                           asp-action="Add">Add Blog Post</a>
                                    </li>

                                    <li>
                                        <a class="dropdown-item"
                                           asp-area=""
                                           asp-controller="AdminBlogPosts"
                                           asp-action="List">
                                            All BlogPosts
                                        </a>
                                    </li>
                                    <li>
                                        <a class="dropdown-item"
                                           asp-area=""
                                           asp-controller="AdminUsers"
                                           asp-action="List">
                                            All Users
                                        </a>
                                    </li>



                                </ul>
                            </li>
                        }




                    </ul>
                    <div class="d-flex align-items-center">
                        @if (signInManager.IsSignedIn(User))
                        {
                            <div class="me-3 text-light">
                                @User?.Identity?.Name
                            </div>

                            <a class=" btn me-3 bg-light text-dark"
                               asp-area=""
                               asp-controller="Account"
                               asp-action="Logout">Logout</a>

                        }

                        else
                        {
                            <a class=" btn me-3 bg-light text-dark"
                               asp-area=""
                               asp-controller="Account"
                               asp-action="Login">Login</a>


                            <a class=" btn me-3 bg-light text-dark"
                               asp-area=""
                               asp-controller="Account"
                               asp-action="Register">Register</a>

                        }

                    </div>
                </div>
            </div>
        </nav>
    </header>
    <div>
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2023 - Bloggie.Web - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>
